Subject: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Randy Taylor <[email-masked]>
Date: Sat, 25 May 2024 02:35:42 +0000

On Saturday, May 18th, 2024 at 05:54, Ankit Gadiya via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:
> 
> [...]
> 
> I'm submitting an updated Patch with the following changes:
> * Add commit log
> * Fix the text formatting.
> * Update the keybindings to use the C-c C-t prefix.
> * Improve regexp matching to be more strict.
> * Define =go-ts-mode-build-tags= variable in the module and use it in the test
> functions.
> 
> --
> Ankit

Thanks.

Sorry for the delay in reviewing, I've been having internet troubles since last Friday. I'll take a look at this next week.

A few quick things I noticed on a glance:

+  (let* ((node (go-ts-mode--find-defun-at start))
+	 (name (treesit-defun-name node))

Indentation is off on the name line - looks like a TAB was used? Should only be spaces everywhere. Double check the rest is OK.

+region.  It is bound to 'C-c C-t' in 'go-ts-mode'.
                         ^ C-c C-t t

+package of the current buffer.  It is bound to 'C-c C-p' in 'go-ts-mode'.
                                                ^ C-c C-t p

+  "List of go build tags for the test commands."
            ^ Go

+  "Return a list with names of all defuns in the range."
We should probably say what the range actually is (START to END) - not sure if we have a convention for that wording already.